wp.blocks.registerBlockType( 'diff-check/block', {
title: 'Diff Check',
icon: 'admin-settings',
category: 'common',
attributes: {
text1: {
type: 'string',
default: ''
},
text2: {
type: 'string',
default: ''
},
file1: {
type: 'string',
default: ''
},
file2: {
type: 'string',
default: ''
},
},
edit: function( props ) {
function onText1Change( newText ) {
props.setAttributes( { text1: newText } );
}

    function onText2Change( newText ) {
        props.setAttributes( { text2: newText } );
    }

    return wp.element.createElement(
        'div',
        { className: props.className },
        wp.element.createElement(
            'label',
            null,
            'Text 1'
        ),
        wp.element.createElement(
            wp.components.TextareaControl,
            {
                value: props.attributes.text1,
                onChange: onText1Change,
            }
        ),
        wp.element.createElement(
            'label',
            null,
            'Text 2'
        ),
        wp.element.createElement(
            wp.components.TextareaControl,
            {
                value: props.attributes.text2,
                onChange: onText2Change,
            }
        )
    );
},
save: function( props ) {
return wp.element.createElement( 'div', null );
}
} );
