jQuery(document).ready(function($) {
    var select = $('#diff-check-select');
    var output = $('#diff-check-output');
    select.on('change', function() {
        var post_id = select.val();
        var data = {
            action: 'diff_check',
            post_id: select.val(),
            revision_id: select.val()
        };
        $.post(ajaxurl, data, function(response) {
            if (response.success) {
                output.html(response.data.diff);
                $('#diff-check-output p:first').append('<br>Differences found: '+response.data.differences_count);
            }
        });
    });
});
